package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.io.Serializable;
import java.util.Map;

import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerItem;

import com.google.gwt.user.client.rpc.IsSerializable;


/**
 * The Class GeoNaDataViewerProfile.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Nov 12, 2020
 */
public class GeoNaDataViewerProfile implements IsSerializable, Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8583236018312392009L;
	private String portletURL;
	//the key is the layer type
	private Map<String, LayerItem> mapLayers;

	/**
	 * Instantiates a new geo na data viewer profile.
	 */
	public GeoNaDataViewerProfile() {

	}

	/**
	 * Gets the portlet URL.
	 *
	 * @return the portlet URL
	 */
	public String getPortletURL() {
		return portletURL;
	}

	/**
	 * Sets the portlet URL.
	 *
	 * @param portletURL the new portlet URL
	 */
	public void setPortletURL(String portletURL) {
		this.portletURL = portletURL;
	}

	/**
	 * Gets the map layers.
	 *
	 * @return the map layers
	 */
	public Map<String, LayerItem> getMapLayers() {
		return mapLayers;
	}

	/**
	 * Sets the map layers.
	 *
	 * @param mapLayers the map layers
	 */
	public void setMapLayers(Map<String, LayerItem> mapLayers) {
		this.mapLayers = mapLayers;
	}

	/**
	 * To string.
	 *
	 * @return the string
	 */
	@Override
	public String toString() {
		return "GeoNaDataViewerProfile [portletURL=" + portletURL + ", mapLayers=" + mapLayers + "]";
	}

}
